### Constructor

# Camel StreamFs new_with_name

#### Declaration [src]

    CamelStream*
    camel_stream_fs_new_with_name (
      const gchar* name,
      gint flags,
      mode_t mode,
      GError** error
    )

#### Description [src]

Creates a new `CamelStreamFs` corresponding to the named file, flags, and mode.

#### Parameters

`name`

  Type: `const gchar*`

  A local filename.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `gint`

  Flags as in open(2).

`mode`

  Type: `mode_t`

  A file mode.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CamelStream`

The new stream, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.